Youtube isn't loading correctly

Answer

becker
Vote Up (8)

YouTube doesn't require Chrome to play, so I'm not sure why it is telling you that. It may be suggesting it since Google=YouTube=Chrome, but I know with 100% certainty you don't have to use Chrome. It does require an updated version of Flash, and not just Shockwave, but it sounds like you have that covered.

What you could try is the HTML5 opt-in trial (uses HTML5 instead of Flash to play videos). They are still working the bugs out, but is does support Firefox 4. I'd rather depend on HTML5 than Flash anyway.

http://www.youtube.com/html5

Join us:
Facebook

Twitter

Pinterest

Tumblr

LinkedIn

Google+

Ask a Question
randomness